<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__capsense__smartsense__update__thresholds__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_capsense_smartsense_update_thresholds_t</compoundname>
    <includes local="no">cy_capsense_lib.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__capsense__smartsense__update__thresholds__t_1a87e1518bbd9d2c9745c1e51aee9e1380" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_capsense_smartsense_update_thresholds_t::fingerTh</definition>
        <argsstring />
        <name>fingerTh</name>
        <briefdescription>
<para>Widget finger threshold. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="175" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="175" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__smartsense__update__thresholds__t_1a6278afa4506e0f81410444bc8bd4ef6e" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_smartsense_update_thresholds_t::noiseTh</definition>
        <argsstring />
        <name>noiseTh</name>
        <briefdescription>
<para>Widget noise threshold. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="176" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="176" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__smartsense__update__thresholds__t_1a0e03cc2b5dcfb072e46e2d4a6afb2ef6" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_smartsense_update_thresholds_t::nNoiseTh</definition>
        <argsstring />
        <name>nNoiseTh</name>
        <briefdescription>
<para>Widget negative noise threshold. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="177" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="177" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__smartsense__update__thresholds__t_1a958e9740d154803f7fbf750862d8713c" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_smartsense_update_thresholds_t::hysteresis</definition>
        <argsstring />
        <name>hysteresis</name>
        <briefdescription>
<para>Widget hysteresis for the signal crossing finger threshold. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="178" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="178" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Declares Update Thresholds structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="179" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="173" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="174" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__capsense__smartsense__update__thresholds__t_1a87e1518bbd9d2c9745c1e51aee9e1380" virt="non-virtual"><scope>cy_stc_capsense_smartsense_update_thresholds_t</scope><name>fingerTh</name></member>
      <member prot="public" refid="structcy__stc__capsense__smartsense__update__thresholds__t_1a958e9740d154803f7fbf750862d8713c" virt="non-virtual"><scope>cy_stc_capsense_smartsense_update_thresholds_t</scope><name>hysteresis</name></member>
      <member prot="public" refid="structcy__stc__capsense__smartsense__update__thresholds__t_1a0e03cc2b5dcfb072e46e2d4a6afb2ef6" virt="non-virtual"><scope>cy_stc_capsense_smartsense_update_thresholds_t</scope><name>nNoiseTh</name></member>
      <member prot="public" refid="structcy__stc__capsense__smartsense__update__thresholds__t_1a6278afa4506e0f81410444bc8bd4ef6e" virt="non-virtual"><scope>cy_stc_capsense_smartsense_update_thresholds_t</scope><name>noiseTh</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>